#
# spec file for package papyrus
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           papyrus
Version:        1.2.0
Release:        1.42
Summary:        Is a kaqaz based note manager
License:        GPL-3.0
Group:          Productivity/Office/Other
Url:            http://aseman.co/en/products/papyrus
Source0:        https://github.com/Aseman-Land/Papyrus/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}.svg
# PATCH-FIX-OPENSUSE install.patch avvissu@yandex.ru -- Changed the paths install files
Patch0:         papyrus-1.2.0_install.patch
# PATCH-FIX-UPSTREAM papyrus-Qt5.patch
Patch1:         papyrus-Qt5.patch
BuildRequires:  fdupes
BuildRequires:  gcc-c++ >= 4.7
BuildRequires:  hicolor-icon-theme
BuildRequires:  libQt5Multimedia-devel >= 5.2.0
BuildRequires:  libQt5Quick-devel >= 5.2.0
BuildRequires:  libQt5Sensors-devel >= 5.2.0
BuildRequires:  libexiv2-devel
BuildRequires:  libqt5-qtbase-devel >= 5.2.0
BuildRequires:  libqt5-qtlocation-devel >= 5.2.0
BuildRequires:  libqt5-qtscript-devel >= 5.2.0
BuildRequires:  update-desktop-files
Requires:       libQt5Multimedia5 >= 5.2.0
Requires:       libQt5Sensors5 >= 5.2.0
Requires:       libQt5Sql5-sqlite >= 5.2.0
Requires:       libqt5-qtgraphicaleffects >= 5.2.0
Requires:       libqt5-qtquickcontrols >= 5.2.0

%description
Papyrus is not just an application. It is more like a theory; a theory on
which much time has been spent in Aseman Lab to be designed and
implemented. Papyrus is a modern note manager published by Aseman Lab. The
focus of Papyrus is on a better user interface so that the user can feel a
different experience with it. Papyrus has tried to provide faster access
bars and present a convenient interface for the users to have an enjoyable
time while working on it.

%prep
%setup -q -n Papyrus-%{version}
%patch0 -p1
%patch1 -p1
sed -e 's|__DATADIR__|%{_datadir}|g' -i Kaqaz.pro -i kaqaz.cpp
mv files/icons/kaqaz.png files/icons/papyrus.png
mv files/shortcuts/normal/Kaqaz.desktop files/shortcuts/normal/Papyrus.desktop
mv files/shortcuts/normal/Kaqaz-touch.desktop files/shortcuts/normal/Papyrus-touch.desktop
mv Kaqaz.pro Papyrus.pro
install -m0644 %{SOURCE1} -t files/icons

%build
mkdir build
pushd build
qmake-qt5 ../Papyrus.pro
make %{?_smp_mflags} PREFIX=%{_prefix}
popd

%install
pushd build
%make_install INSTALL_ROOT=%{buildroot}
popd

%fdupes -s %{buildroot}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/Papyrus
%{_datadir}/applications/Papyrus-touch.desktop
%{_datadir}/applications/Papyrus.desktop
%{_datadir}/icons/KFaenza
%{_datadir}/icons/hicolor/scalable/apps/papyrus.svg
%{_datadir}/%{name}

%changelog
* Thu Feb  2 2017 aloisio@gmx.com
- Update to version 1.2.0
- Replaced papyrus-1.0.0_install.patch with
  papyrus-1.2.0_install.patch
- Added papyrus-Qt5.patch and papyrus.svg
- Spec cleanup
* Sun Apr  5 2015 avvissu@yandex.ru
- Initial release
